import React from 'react';
import type { Meta, StoryObj } from '@storybook/react';
import { Text } from '.';

const Component: Meta<typeof Text> = {
  title: 'Components/Inputs',
  component: Text,
  argTypes: { onChange: {} },
  decorators: [(Story) => <div className="w-52 m-5">{Story()}</div>],
};

export default Component;
type Story = StoryObj<typeof Component>;

export const TextInput: Story = {
  args: {
    type: 'text',
    label: 'Text input',
    placeholder: 'Put here some text',
    required: true,
    onChange: (value) => {},
  },
};

export const RequiredTextInput: Story = {
  args: {
    type: 'text',
    label: 'Text input',
    placeholder: 'Put here some text',
    errorText: 'This field is required',
    validate: (value) => {
      return value.length > 0;
    },
    onChange: (value) => {},
  },
};
